--- nagios-plugins-1.4.10/plugins/check_snmp.c.01	2007-10-15 17:40:44.000000000 +0200
+++ nagios-plugins-1.4.10/plugins/check_snmp.c	2007-10-15 17:42:40.000000000 +0200
@@ -147,6 +147,7 @@
   int result = STATE_DEPENDENT;
   char input_buffer[MAX_INPUT_BUFFER];
   char *command_line = NULL;
+  char *cli_error = NULL;
   char *response = NULL;
   char *outbuff;
   char *output;
@@ -183,13 +184,19 @@
   /* create the command line to execute */
   if (usesnmpgetnext == TRUE) {
     asprintf(&command_line, "%s -t %d -r %d -m %s -v %s %s %s:%s %s",
-	     PATH_TO_SNMPGETNEXT, timeout_interval, retries, miblist, proto,
-	     authpriv, server_address, port, oid);
+	     PATH_TO_SNMPGETNEXT, timeout_interval, retries, miblist,
+	     proto, authpriv, server_address, port, oid);
+    asprintf(&cli_error, "%s -t %d -r %d -m %s -v %s %s %s:%s %s",
+	     PATH_TO_SNMPGETNEXT, timeout_interval, retries, miblist,
+	     proto, "authpriv", server_address, port, oid);
   } else {
 
     asprintf(&command_line, "%s -t %d -r %d -m %s -v %s %s %s:%s %s",
 	     PATH_TO_SNMPGET, timeout_interval, retries, miblist, proto,
 	     authpriv, server_address, port, oid);
+    asprintf(&cli_error, "%s -t %d -r %d -m %s -v %s %s %s:%s %s",
+	     PATH_TO_SNMPGET, timeout_interval, retries, miblist,
+	     proto, "authpriv", server_address, port, oid);
   }
 
   if (verbose)
@@ -199,13 +206,13 @@
   /* run the command */
   child_process = spopen(command_line);
   if (child_process == NULL) {
-    printf(_("Could not open pipe: %s\n"), command_line);
+    printf(_("Could not open pipe: %s\n"), cli_error);
     exit(STATE_UNKNOWN);
   }
 #if 0				/* Removed May 29, 2007 */
   child_stderr = fdopen(child_stderr_array[fileno(child_process)], "r");
   if (child_stderr == NULL) {
-    printf(_("Could not open stderr for %s\n"), command_line);
+    printf(_("Could not open stderr: %s\n"), cli_error);
   }
 #endif
 
@@ -242,9 +249,8 @@
       response = strpcpy(response, ptr, "\n");
       ptr = strpbrk(ptr, "\n");
       ptr += strspn(ptr, "\n");
-      while
-	(strstr(ptr, delimiter) &&
-	 strstr(ptr, "\n") && strstr(ptr, "\n") < strstr(ptr, delimiter)) {
+      while (strstr(ptr, delimiter) && strstr(ptr, "\n")
+	     && strstr(ptr, "\n") < strstr(ptr, delimiter)) {
 	response = strpcat(response, ptr, "\n");
 	ptr = strpbrk(ptr, "\n");
       }
@@ -340,8 +346,9 @@
 	       (i == 0) ? " " : output_delim,
 	       labels[i], mark(iresult), show, mark(iresult));
     else
-      asprintf(&outbuff, "%s%s%s%s%s", outbuff, (i == 0) ? " " : output_delim,
-	       mark(iresult), show, mark(iresult));
+      asprintf(&outbuff, "%s%s%s%s%s", outbuff,
+	       (i == 0) ? " " : output_delim, mark(iresult), show,
+	       mark(iresult));
 
     /* Append a unit string for this OID if there is one */
     if (nunits > (size_t) 0 && (size_t) i < nunits && unitv[i] != NULL)
@@ -360,7 +367,7 @@
   if (found == 0)
     die(STATE_UNKNOWN,
 	_("%s problem - No data received from host\nCMD: %s\n"),
-	label, command_line);
+	label, cli_error);
 
 #if 0				/* Removed May 29, 2007 */
   /* WARNING if output found on stderr */
@@ -714,8 +721,8 @@
       asprintf(&authpriv, "%s", "-l noAuthNoPriv");
     } else if (strcmp(seclevel, "authNoPriv") == 0) {
       if (secname == NULL || authpasswd == NULL) {
-	printf(_("Missing secname (%s) or authpassword (%s) ! \n"), secname,
-	       authpasswd);
+	printf(_("Missing secname (%s) or authpassword (%s) ! \n"),
+	       secname, authpasswd);
 	print_usage();
 	exit(STATE_UNKNOWN);
       }
